Page MenuHomePhabricator

Backup plan for extensions hosted in code.google.com
Closed, ResolvedPublic

Description

Google Code will be shutdown on January 2016 (blog page) and during 2016 only tarballs of the projects code will be available.

Is there a plan to import repositories that haven't been migrated from Google Code to our Gerrit? Maybe doing a triage and import only the ones that may be worth keeping, like jpgraphmw? Letting them die without backing them up is also an option, since extensions not migrated are probably broken and unusable in the currently supported MediaWiki versions.

We have a list of extensions in Category:Extensions in Google Code version control, although there may be others that don't use the {{GoogleCodeDownload}} template.

Additional checks (for extensions that may not be in Category:Extensions in Google Code version control):

Warning: Some repositories seem to be empty and only provides a download section (example). Those repositories won't migrate the downloads section to github and need to be checked manually, to extract the code from the downloads section.

Event Timeline

Ciencia_Al_Poder raised the priority of this task from to Needs Triage.
Ciencia_Al_Poder updated the task description. (Show Details)
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 22 2015, 8:47 PM
Kghbln added a subscriber: Kghbln.Jan 29 2016, 11:22 PM

It is getting late for this. However it still seems to be possible to export the code directly to GitHub. Thus my suggestion is: Create a dedicated account on GitHub, export all the code to it and if somebody is willing to maintain the extension the extension will be getting transferred to this person.

Sounds like a plan. How can I help?

Ciencia_Al_Poder set Security to None.

We can also clean up extension pages using Special:LinkSearch. I've edited the description of this task adding links to Special:LinkSearch to code.google.com and googlecode.com, to identify extension pages pointing to it that may not be in the category.

I've fixed some of them (example) so they use {{GoogleCodeDownload}}, that will make it easy to track them and do the export to github.

It would also be good to check each extension to see if they've been already exported to github, by doing at least a search for the name on github.com. But also be warned: I've found some of them that are just empty: example because the original repository has no code, and it has just downloads!

Kghbln added a comment.EditedFeb 3 2016, 9:43 PM

I was a bit busy the last days. Thanks a ton for your thoughts and comments as well as the offer to help.

I have just created the mediawiki-extensions user on GitHub and started to import extensions. Once they are imported to GitHub we could migrate the extension's pages to use the respective templates for GitHub {{GithubDownload}} so interested people get pointed to the new repo location (example). Additional I created a new template which informs about the fact that the code was migrated from GoogleCode to GitHub and also inform that the maintainership can be taken over.

First I would like to import what is easily possible. The ones which are only there as a tarball can be dealt with in a second step. Exensions like Amazon-Linker can be archived right away since neither code nor tarballs are available.

Kghbln added a comment.EditedFeb 3 2016, 10:11 PM

I just migrated 22 extension over to GitHub, another 5 should only be at Google Code as tarballs (will deal with them later). Now the extensions pages can be fluffed and migrated. After that we will see what is still linked somehow to Google Code and clear them.

Probably I should also create an organisation on GitHub so others can join in controlling these repos. Hmm ... mwstake? @Ckoerner Probably another issue?

Kghbln added a comment.Feb 6 2016, 1:55 PM

In the meantime I imported about 200+ extensions to GitHub. But this may be pretty endless: https://code.google.com/hosting/search?q=label:mediawiki

Maybe we could create a page on mediawiki.org listing all extensions and their status, to triage them.

Several of them aren't needed. For example, safecreate is a functionality already present in core: Manual:$wgPasswordPolicy. mw-extensions seems to be a copy of other extensions.

Qgil added a subscriber: Qgil.Feb 6 2017, 7:03 AM

What I coincidence, I stumbled upon this task one year after the last comment.

Google archived everything at https://code.google.com/archive/

MarkAHershberger closed this task as Resolved.Jul 31 2019, 12:14 AM
MarkAHershberger claimed this task.
MarkAHershberger added a subscriber: MarkAHershberger.

This ship has sailed and everything is done that can be done.

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJul 31 2019, 12:14 AM